## kodi 21.1+dfsg

=== debian/changelog ===
kodi (2:21.1+dfsg-6build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2025 06:05:19 +0100

kodi (2:21.1+dfsg-6) unstable; urgency=high

  * Add workaround for UPnP playback of second and next video
  * Add workaround for OpenGL crashes on older hw
  * Add workaround for swig FTBFS (Closes: #1091112)

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 26 Dec 2024 06:08:40 +0000

kodi (2:21.1+dfsg-5) unstable; urgency=medium

  * Switch to file:// protocol for local language repo
  * Catch unprintable Persian symbols across packaging

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 12 Sep 2024 14:18:15 +0000

kodi (2:21.1+dfsg-4) unstable; urgency=medium

  * d/control: Add python3-setuptools to B-D (Closes: #1080628)
  * Adjust symlink to Roboto-Thin.ttf (Closes: #1070345)

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 08 Sep 2024 06:28:24 +0000

kodi (2:21.1+dfsg-3) unstable; urgency=critical

  * workarounds/pcre: Drop CFTPParse port

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 21 Aug 2024 16:32:04 +0000

kodi (2:21.1+dfsg-2) unstable; urgency=high

  * Add patch to disable PingHost test

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 19 Aug 2024 04:13:25 +0000

kodi (2:21.1+dfsg-1) unstable; urgency=high

  * New upstream version 21.1+dfsg
  * d/copyright: Remove entries for excluded files and clarify skin.estuary
  * Use local language pack repository (Closes: #1042996)
  * Change branch pointers back to debian/sid

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 18 Aug 2024 19:24:33 +0000

kodi (2:21.1~git20240809.ec4eb19+dfsg1-1) experimental; urgency=medium

  * New upstream version 21.1~git20240809.ec4eb19+dfsg1
  * Separate language packs (Closes: #1042996)
  * d/copyright: Address review points by Thorsten Alteholz
    + add info about translators and authors of dh-addon
    + filter out unused lidvdnav headers covered by GPL-2 license

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 10 Aug 2024 14:07:53 +0000

kodi (2:21.1~git20240809.ec4eb19+dfsg-1) experimental; urgency=medium

  * New upstream version 21.1~git20240809.ec4eb19+dfsg (Closes: #1075117, #1076176)

  [ Boyuan Yang ]
  * Drop build-dep on autotools

  [ Bastian Germann ]
  * Drop OMX support (see #1065623)

  [ Vasyl Gello ]
  * Add pcre2 Use-After-Free fixup
  * d/copyright: drop obsolete path
  * d/control: Bump version to 4.7.0 (no changes required)
  * Add workaround for ffmpeg 7.0 (Closes: #1072427)

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 04:17:46 +0000

kodi (2:21.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream version 21.0~rc1+dfsg
  * Separate language packs (Closes: #1042996)
  * Refresh patches
  * Fix lintian warnings
  * d/control: Add new build-deps


 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 07 Mar 2024 21:09:04 +0000

=== debian/control ===
Source: kodi
Priority: optional
Section: video
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: cmake,
               curl,
               debhelper-compat (= 13),
               default-jre:native,
               default-libmysqlclient-dev,
               dh-python,
               doxygen,
               fontforge-nox,
               fonts-dejavu-core,
               fonts-droid-fallback,
               gawk,
               gettext,
               gperf,
               groovy:native,
               libhowardhinnant-date-dev,
               libasound2-dev | libasound-dev,
               libass-dev,
               libavahi-client-dev,
               libavahi-common-dev,
               libavcodec-dev (>= 7:4.2.2),
               libavfilter-dev (>= 7:4.2.2),
               libavformat-dev (>= 7:4.2.2),
               libavutil-dev (>= 7:4.2.2),
               libbluetooth-dev,
               libbluray-dev (>= 1:0.7.0),
               libcap-dev,
               libcdio-dev,
               libcec-dev (>= 4~),
               libcommons-lang-java:native,
               libcrossguid-dev,
               libcurl4-gnutls-dev | libcurl-dev,
               libcwiid-dev [linux-any],
               libdav1d-dev (>= 0.7.0),
               libdbus-1-dev,
               libdisplay-info-dev,
               libdrm-dev,
#               libdvdnav-dev, use patched embedded version
#               libdvdread-dev, use patched embedded version
               libegl1-mesa-dev,
               libflatbuffers-dev,
               libfmt-dev (>= 6.1.2),
               libfontconfig-dev,
               libfreetype-dev,
               libfribidi-dev,
               libfstrcmp-dev,
               libgbm-dev,
               libgcrypt-dev,
               libgif-dev,
               libgif-dev:native,
               libgl-dev,
               libglew-dev,
               libglu1-mesa-dev | libglu-dev,
               libgnutls28-dev,
               libgpg-error-dev,
               libgtest-dev (>= 1.10.0~),
               libinput-dev,
               libiso9660-dev,
               libiso9660++-dev,
               libjpeg-dev,
               libjpeg-dev:native,
               libkissfft-dev (>= 131.1.0~),
               liblcms2-dev,
               liblirc-dev,
               libltdl-dev,
               liblzo2-dev,
               liblzo2-dev:native,
               libmicrohttpd-dev,
               libnfs-dev,
               libpcre2-dev,
               libpipewire-0.3-dev,
               libplist-dev,
               libpng-dev,
               libpng-dev:native,
               libpostproc-dev (>= 7:4.2.2),
               libpulse-dev,
               libpython3-dev,
               librsvg2-bin,
               libshairplay-dev (>= 0.9.0~),
               libsmbclient-dev,
               libsndio-dev,
               libspdlog-dev (>= 1:1.5.0),
               libsqlite3-dev,
               libswresample-dev (>= 7:4.2.2),
               libswscale-dev (>= 7:4.2.2),
               libtag1-dev (>= 1.8),
               libtinyxml-dev,
               libtinyxml2-dev,
               libtool,
               libudev-dev,
               libudfread-dev (>= 1.0.0),
               libva-dev,
               libvdpau-dev,
               libxkbcommon-dev,
               libxrandr-dev,
               libxslt1-dev,
               libxt-dev,
               nasm [i386],
               python3-dev:any,
               python3-setuptools,
               rapidjson-dev,
               swig,
               unzip,
               uuid-dev,
               valgrind [amd64 i386],
               wayland-protocols,
               waylandpp-dev,
               zip,
               zlib1g-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi.git -b debian/sid
Homepage: https://kodi.tv/

Package: kodi
Architecture: any
Depends: kodi-bin (>= ${source:Version}),
         kodi-bin (<< ${source:Version}.1~),
         kodi-data (>= ${source:Version}),
         ${misc:Depends}
Recommends: kodi-repository-kodi | kodi-repository,
            kodi-visualization-spectrum
Breaks: xbmc (<< 2:13.2+dfsg1-5~), ${kodi:APIBREAKS}
Provides: ${kodi:APIPROVIDES}
Replaces: xbmc (<< 2:13.2+dfsg1-5~)
Description: Open Source Home Theatre (executable binaries)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains the kodi binaries.

Package: kodi-data
Architecture: all
Multi-Arch: foreign
Depends: mesa-utils,
         x11-utils,
         libjs-jquery,
         libjs-iscroll,
         ${misc:Depends}
Recommends: fonts-noto-core,
            fonts-noto-mono,
            fonts-roboto-unhinted,
Suggests: fonts-noto-ui-core,
Breaks: xbmc (<< 2:13.2+dfsg1-5~)
Replaces: xbmc (<< 2:13.2+dfsg1-5~)
Description: Open Source Home Theatre (arch-independent data package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the architecture independent data needed to have a
 working Kodi.

Package: kodi-bin
Architecture: any
Depends: python3-pil,
         python3-pycryptodome,
         ${python3:Depends},
         ${dlopenlibs:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
Recommends: ${shlibs:Recommends},
            udisks2
Pre-Depends: ${misc:Pre-Depends}
Breaks: xbmc-bin (<< 2:13.2+dfsg1-5~)
Conflicts: libgl1-mesa-swx11
Replaces: xbmc-bin (<< 2:13.2+dfsg1-5~)
Description: Open Source Home Theatre (architecture-dependent files)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains the binaries needed to have a working Kodi.

Package: kodi-eventclients-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Open Source Home Theatre (Event Client Common package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the common package for Kodi Event Client.

Package: kodi-eventclients-python
Architecture: any
Depends: kodi-eventclients-common (= ${source:Version}),
         python3-bluez,
         ${python3:Depends},
         ${misc:Depends}
Breaks: kodi-eventclients-common (<< 2:19.4+dfsg1-1~)
Replaces: kodi-eventclients-common (<< 2:19.4+dfsg1-1~)
Description: Open Source Home Theatre (Event Client Python package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the virtual Python package for Kodi Event Client.

Package: kodi-eventclients-dev-common
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}
Breaks: kodi-eventclients-dev (<< 2:19.4+dfsg1-1~)
Replaces: kodi-eventclients-dev (<< 2:19.4+dfsg1-1~)
Description: Open Source Home Theatre (Event Client common dev package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital

=== debian/rules ===
#!/usr/bin/make -f

# Avoid custom build rule silencing
export V=1

# Include /usr/share/dpkg/pkg-info.mk to get DEB_{SOURCE,VERSION}
include /usr/share/dpkg/pkg-info.mk

# Include /usr/share/dpkg/architecture.mk to get DEB_HOST_{MULTI,}ARCH
include /usr/share/dpkg/architecture.mk

# bindnow breaks wrappers used in with libdvdread
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-bindnow

DVDNAV_COMPONENT = libdvdnav-embedded
DVDNAV_URL = tools/depends/target/libdvdnav/libdvdnav-embedded.tar.xz
DVDREAD_COMPONENT = libdvdread-embedded
DVDREAD_URL = tools/depends/target/libdvdread/libdvdread-embedded.tar.xz

export DEB_CFLAGS_MAINT_STRIP  = -O2
export DEB_CFLAGS_MAINT_APPEND  = -O3
export DEB_CXXFLAGS_MAINT_STRIP  = -O2
export DEB_CXXFLAGS_MAINT_APPEND  = -O3

BUILD_WAYLAND := yes
BUILD_GBM := yes

NUMCPU =
# Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NUMCPU := $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

# Various environment variables to set
export DEB_LDFLAGS_MAINT_APPEND = -latomic -lpthread
# for embedded libdvd* and Kodi from Debian patch:
export DEB_CPPFLAGS_MAINT_APPEND = -D_XBMC -DDEB_VERSION=\"$(DEB_VERSION)\"

KODI_PLATFORMS := x11

ifeq ($(BUILD_WAYLAND),yes)
	KODI_PLATFORMS := $(KODI_PLATFORMS) wayland
endif
ifeq ($(BUILD_GBM),yes)
	KODI_PLATFORMS := $(KODI_PLATFORMS) gbm
endif

# basilgello: keep these overrides to ensure CMake honors
# the 32-bit architecture requested by 'dpkg-buildpackage'
# (like 'i486-linux') on 64-bit machines (like 'amd64').
ifneq (,$(filter alpha,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=alpha
else ifneq (,$(filter amd64,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=x86_64-linux
else ifneq (,$(filter arm64,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=aarch64
else ifneq (,$(filter armel armhf,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=arm
else ifneq (,$(filter i386,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=i486-linux
else ifneq (,$(filter m68k,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=m68k
else ifneq (,$(filter mipsel,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=mips
else ifneq (,$(filter mips64el,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=mips64
else ifneq (,$(filter powerpc,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=ppc
else ifneq (,$(filter ppc64,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=ppc64
else ifneq (,$(filter ppc64el,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=ppc64
else ifneq (,$(filter riscv64,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=riscv64
else ifneq (,$(filter s390x,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=s390x
# TODO: Workaround for #1043076 - remove when resolved
export DEB_CFLAGS_MAINT_APPEND  = -O3 -fexcess-precision=fast
export DEB_CXXFLAGS_MAINT_APPEND  = -O3 -fexcess-precision=fast
else ifneq (,$(filter sh4,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=sh4
else ifneq (,$(filter sparc64,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=sparc64
endif

# Build arm* architectures with GLES instead of GL
# (Closes: 1056563)
ifneq (,$(filter armel armhf arm64,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DAPP_RENDER_SYSTEM=gles
else
EXTRA_FLAGS := $(EXTRA_FLAGS) -DAPP_RENDER_SYSTEM=gl
endif

# basilgello: If cross-compiling, tell Kodi to look for native prerequisites
# in $(CURDIR)/native-tools, where the override_dh_autoconfigure step builds
# them for the build architecture (the native architecture of builder machine)
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
EXTRA_FLAGS := $(EXTRA_FLAGS) \
	-DWITH_JSONSCHEMABUILDER=$(CURDIR)/native-tools/bin/JsonSchemaBuilder \
	-DWITH_TEXTUREPACKER=$(CURDIR)/native-tools/bin/TexturePacker
endif

# Kodi configuration options
#
KODI_OPTS=\
-DVERBOSE=1 \
-DUSE_LTO=$(NUMCPU) \
-DCMAKE_BUILD_TYPE=RelWithDebInfo \
-DENABLE_AIRTUNES=ON \
-DENABLE_ALSA=ON \
-DENABLE_AVAHI=ON \
-DENABLE_BLURAY=ON \
-DENABLE_CEC=ON \
-DENABLE_DBUS=ON \
-DENABLE_DEBUGFISSION=OFF \
-DENABLE_DVDCSS=OFF \
-DENABLE_EVENTCLIENTS=ON \
-DENABLE_INTERNAL_CROSSGUID=OFF \
-DENABLE_INTERNAL_DATE=OFF \
-DENABLE_INTERNAL_FFMPEG=OFF \
-DENABLE_INTERNAL_KISSFFT=OFF \
-DENABLE_INTERNAL_LIBDVD=ON \
-DENABLE_INTERNAL_RapidJSON=OFF \
-DENABLE_INTERNAL_TZDATA=OFF \
-DENABLE_MICROHTTPD=ON \
-DENABLE_MYSQLCLIENT=ON \
-DENABLE_NFS=ON \
-DENABLE_OPTICAL=ON \
-DENABLE_PULSEAUDIO=ON \
-DENABLE_SMBCLIENT=ON \
-DENABLE_UDEV=ON \
-DENABLE_UPNP=ON \
-DENABLE_VAAPI=ON \
-DENABLE_VDPAU=ON \
-DENABLE_XSLT=ON \
-DLIBDVDREAD_URL=$(DVDREAD_URL) \
-DLIBDVDNAV_URL=$(DVDNAV_URL) \
-DENABLE_LIRCCLIENT=ON \
-DNEON=False \
-DCORE_PLATFORM_NAME="$(KODI_PLATFORMS)" \
$(EXTRA_FLAGS)

%:
	dh $@ --buildsystem cmake --with python3

override_dh_clean:
	# Restore official addon repository list in version.txt
	sed -i \
		'/^ADDON_REPOS/s+,repository.debian.languages|file:///usr/share/kodi/language-repo++' \
		version.txt
	# Clean up "repository.debian.languages" addon
	echo "Cleaning up repository.debian.languages ..."
	rm -rf $(CURDIR)/addons/repository.debian.languages \
		$(CURDIR)/repo-resources-embedded/language-repo
	sed -i "/<addon optional=\"true\">repository.debian.languages</d" \
		$(CURDIR)/system/addon-manifest.xml
	sed -i "/repository.debian.languages\//d" \
		$(CURDIR)/cmake/installdata/common/addons.txt
	# Perform the rest of cleaning
	dh_clean \
		addons/skin.estuary/media/from-debian-logo.png \
		addons/webinterface.default/ \
		debian/dh-addon/*.1 \
		lib/gtest/ \
		media/Fonts/arial.ttf \
		native-tools/ \
		tools/depends/native/JsonSchemaBuilder/native/ \
		tools/depends/native/JsonSchemaBuilder/.installed-native \
		tools/depends/native/TexturePacker/native/ \
		tools/depends/native/TexturePacker/.installed-native \
		$(DVDNAV_URL) \
		$(DVDREAD_URL)

# fall back to old location of DejaVuSans.ttf if needed
ifneq ("$(wildcard /usr/share/fonts/truetype/dejavu/DejaVuSans.ttf)","")
DEJAVUSANS=/usr/share/fonts/truetype/dejavu/DejaVuSans.ttf
else
DEJAVUSANS=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf
endif

media/Fonts/arial.ttf: debian/mergefonts.ff
	# work around #948876 until fontforge is fixed by using cached result
	fontforge -script $< \
		/usr/share/fonts/truetype/droid/DroidSansFallbackFull.ttf \
		$(DEJAVUSANS) \
		$@ || cp debian/extra/arial.ttf $@

lib/gtest/lib/.libs/libgtest.a:
	cp -r /usr/src/gtest/ $(CURDIR)/lib/ && mkdir -p $(CURDIR)/lib/gtest/lib/.libs

addons/skin.estuary/media/from-debian-logo.png: debian/from-debian-logo.svg
	rsvg-convert -w 250 -h 82 -o $@ $<

embedded-libs:
	# Copy default webinterface addon
	cp -r $(CURDIR)/debian/webinterface-default $(CURDIR)/addons/webinterface.default
	# Add repository.debian.languages as official addon repository list in version.txt
	sed -i \
		'/^ADDON_REPOS/s+^.*$$+&,repository.debian.languages|file:///usr/share/kodi/language-repo+' \
		version.txt
	# Add repository.debian.languages addon
	echo "Adding repository.debian.languages ..."
	cp -r $(CURDIR)/debian/language-repo $(CURDIR)/addons/repository.debian.languages
	sed -i "/<\/addons>/i\ \ <addon optional=\"true\">repository.debian.languages<\/addon>" \
		$(CURDIR)/system/addon-manifest.xml
	echo "addons/repository.debian.languages/*" \
		1>>$(CURDIR)/cmake/installdata/common/addons.txt
	# Build repository.debian.languages repository
	cd repo-resources-embedded && \
		python3 ../debian/generate-repo.py language-repo
	# Prepare archives from embedded libdvd*
	tar -cf $(DVDNAV_URL) $(DVDNAV_COMPONENT)
	tar -cf $(DVDREAD_URL) $(DVDREAD_COMPONENT)

override_dh_auto_configure: addons/skin.estuary/media/from-debian-logo.png embedded-libs lib/gtest/lib/.libs/libgtest.a media/Fonts/arial.ttf
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	# We are cross-compiling!

## kodi 21.2%2Bdfsg

=== xbmc/interfaces/CMakeLists.txt ===
set(SOURCES AnnouncementManager.cpp)

set(HEADERS AnnouncementManager.h
            IAnnouncer.h)

core_add_library(interfaces)

=== xbmc/video/CMakeLists.txt ===
set(SOURCES Bookmark.cpp
            ContextMenus.cpp
            GUIViewStateVideo.cpp
            PlayerController.cpp
            Teletext.cpp
            VideoChapterImageFileLoader.cpp
            VideoDatabase.cpp
            VideoDbUrl.cpp
            VideoEmbeddedImageFileLoader.cpp
            VideoGeneratedImageFileLoader.cpp
            VideoInfoDownloader.cpp
            VideoInfoScanner.cpp
            VideoInfoTag.cpp
            VideoItemArtworkHandler.cpp
            VideoLibraryQueue.cpp
            VideoThumbLoader.cpp
            VideoUtils.cpp
            ViewModeSettings.cpp)

set(HEADERS Bookmark.h
            ContextMenus.h
            Episode.h
            GUIViewStateVideo.h
            PlayerController.h
            Teletext.h
            TeletextDefines.h
            VideoChapterImageFileLoader.h
            VideoDatabase.h
            VideoDbUrl.h
            VideoEmbeddedImageFileLoader.h
            VideoGeneratedImageFileLoader.h
            VideoInfoDownloader.h
            VideoInfoScanner.h
            VideoInfoTag.h
            VideoItemArtworkHandler.h
            VideoLibraryQueue.h
            VideoThumbLoader.h
            VideoUtils.h
            VideoManagerTypes.h
            ViewModeSettings.h)

core_add_library(video)

=== tools/depends/native/liblzo2/Makefile ===
include ../../Makefile.include
PREFIX=$(NATIVEPREFIX)
PLATFORM=$(NATIVEPLATFORM)
DEPS = ../../Makefile.include Makefile ../../download-files.include

# lib name, version
LIBNAME=lzo
VERSION=2.10
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz
SHA512=a3dae5e4a6b93b1f5bf7435e8ab114a9be57252e9efc5dd444947d7a2d031b0819f34bcaeb35f60b5629a01b1238d738735a64db8f672be9690d3c80094511a4
include ../../download-files.include

# configuration settings
CONFIGURE=cp -f $(CONFIG_SUB) $(CONFIG_GUESS) autoconf/; \
          ./configure --prefix=$(PREFIX) --enable-shared

LIBDYLIB=$(PLATFORM)/src/.libs/lib$(LIBNAME)2.a

all: .installed-$(PLATFORM)


$(PLATFORM): $(DEPS) | $(TARBALLS_LOCATION)/$(ARCHIVE).$(HASH_TYPE)
	rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); $(CONFIGURE)

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)

.installed-$(PLATFORM): $(LIBDYLIB)
	$(MAKE) -C $(PLATFORM) install
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/depends/pre-depends/m4-pre-depends/Makefile ===
include ../../Makefile.include.in
DEPS=Makefile
PREFIX=$(CURDIR)/../../pre-build-deps
PLATFORM=native
TARBALLS_LOCATION=$(PREFIX)
RETRIEVE_TOOL=curl
ARCHIVE_TOOL=tar
# lib name, version
LIBNAME=m4
VERSION=1.4.19
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.xz

# configuration settings
CONFIGURE=./configure --prefix=$(PREFIX)

LIBDYLIB=$(PLATFORM)/src/$(LIBNAME)

all: $(PREFIX)/bin/$(LIBNAME)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	mkdir -p $(TARBALLS_LOCATION)
	cd $(TARBALLS_LOCATION); $(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(ARCHIVE) $(BASE_URL)/$(ARCHIVE)

$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE) $(DEPS)
	-rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); $(CONFIGURE)

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)

$(PREFIX)/bin/$(LIBNAME): $(LIBDYLIB)
	$(MAKE) -C $(PLATFORM) install
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean

distclean::
	rm -rf $(PLATFORM)

=== xbmc/cores/RetroPlayer/guibridge/CMakeLists.txt ===
set(SOURCES GUIGameMessenger.cpp
            GUIGameRenderManager.cpp
            GUIGameSettings.cpp
            GUIGameSettingsHandle.cpp
            GUIGameVideoHandle.cpp
            GUIRenderHandle.cpp
            GUIRenderTarget.cpp
            GUIRenderTargetFactory.cpp
)

set(HEADERS GUIGameMessenger.h
            GUIGameRenderManager.h
            GUIGameSettings.h
            GUIGameSettingsHandle.h
            GUIGameVideoHandle.h
            GUIRenderHandle.h
            GUIRenderTarget.h
            GUIRenderTargetFactory.h
            IGameCallback.h
            IGUIRenderSettings.h
            IRenderCallback.h
)

core_add_library(retroplayer_guibridge)

=== xbmc/input/keyboard/generic/CMakeLists.txt ===
set(SOURCES DefaultKeyboardHandling.cpp
            KeyboardInputHandling.cpp)

set(HEADERS DefaultKeyboardHandling.h
            KeyboardInputHandling.h)

core_add_library(input_keyboard_generic)

=== debian/changelog ===
kodi (2:21.2+dfsg-4build3) resolute; urgency=medium

  * Rebuild against latest libbluray

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 19 Oct 2025 22:33:22 -0400

kodi (2:21.2+dfsg-4build2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 05:50:56 +0200

kodi (2:21.2+dfsg-4build1) questing; urgency=medium

  * No-change rebuild for libtinyxml2-11.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 03 May 2025 16:21:26 +0000

kodi (2:21.2+dfsg-4) unstable; urgency=high

  [ Alban Browaeys ]
  * Fix kodi spamming logs with pipewire errors

  [ Vasyl Gello ]
  * debian: move patch to workarounds

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 30 Mar 2025 12:25:06 +0000

kodi (2:21.2+dfsg-3) unstable; urgency=high

  * Revert "Restrict tinyxml2 to 10.x for now (Closes: #1100726)"

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 18 Mar 2025 12:31:12 +0000

kodi (2:21.2+dfsg-2) unstable; urgency=high

  * Add workaround for pipewire 1.4.0 (Closes: #1100094, #1100691)
  * Restrict tinyxml2 to 10.x for now (Closes: #1100726)
  * Apply patch to fix FTCBFS (Closes: #1095180)

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 18 Mar 2025 06:14:05 +0000

kodi (2:21.2+dfsg-1) unstable; urgency=high

  * New upstream version 21.2+dfsg
  * Drop patches merged upstream and refresh cdatetime patchset
  * Fix Lintian warnings

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 15 Jan 2025 23:24:00 +0000

kodi (2:21.1+dfsg-8) unstable; urgency=medium

  * Team upload.

  [ Vasyl Gello ]
  * Fix cross-compiling of JsonSchemaBuilder and TexturePacker

  [ Boyuan Yang ]
  * Add workaround for taglib2 compatibility. (Closes: #1092865)
  * debian/control: Use build-dependency package from taglib 2.x:
    libtag1-dev => libtag-dev.

 -- Boyuan Yang <byang@debian.org>  Mon, 13 Jan 2025 19:40:44 -0500

kodi (2:21.1+dfsg-7) unstable; urgency=high

  * Add workaround for python3.13 (Closes: #1092082)

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 07 Jan 2025 19:02:30 +0000
